Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 720700 - dev-util/radare2-4.4.0 calls ar directly: ar q libr_z.a adler32.o ...; make[2]: ar: No such file or director
Summary: dev-util/radare2-4.4.0 calls ar directly: ar q libr_z.a adler32.o ...; make[...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sergei Trofimovich
URL: https://github.com/radareorg/radare2/...
Whiteboard:
Keywords:
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2020-05-02 19:05 UTC by Agostino Sarubbo
Modified: 2020-05-23 11:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,21.63 KB, text/plain)
2020-05-02 19:05 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-05-02 19:05:11 UTC
This is an auto-filled bug because dev-util/radare2 calls ar directly.
The issue was originally discovered on arm64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.

NOTE:
If you think it doesn't make sense fix these type of issues, I'd like to point out that won't be possible use a different AR implementation (like llvm-ar) by setting the AR variable. So this issue has been reproduced by setting the AR variable to aarch64-unknown-linux-gnu-ar and by removing the /usr/bin/ar binary.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-02 19:05:25 UTC
Created attachment 635724 [details]
build.log

build log and emerge --info
Comment 2 Sergei Trofimovich gentoo-dev 2020-05-02 19:56:39 UTC
Relevant build snippet:


"""
aarch64-unknown-linux-gnu-gcc -c -O2 -pipe -march=native -g -ggdb -frecord-gcc-switches -O2 -pipe -march=native -g -ggdb -frecord-gcc-switches -O2 -pipe -march=native -g -ggdb -frecord-gcc-switches -MD   -fPIC -g -Wall -D__UNIX__=1 -O2 -pipe -march=native -g -ggdb -frecord-gcc-switches -O2 -pipe -march=native -g -ggdb -frecord-gcc-switches -MD   -fPIC -g -Wall -D__UNIX__=1 -O2 -pipe -march=native -g -ggdb -frecord-gcc-switches -O2 -pipe -march=native -g -ggdb -frecord-gcc-switches -MD   -fPIC -g -Wall -D__UNIX__=1 -fPIC -Wall -I../../libr/include -I../include/ -o gzwrite.o gzwrite.c
ar q libr_z.a adler32.o crc32.o deflate.o infback.o inffast.o inflate.o inftrees.o trees.o zutil.o compress.o uncompr.o gzclose.o gzlib.o gzread.o gzwrite.o
make[2]: ar: No such file or directory
make[2]: *** [Makefile:76: libr_z.a] Error 127
"""
Comment 3 Sergei Trofimovich gentoo-dev 2020-05-03 21:19:19 UTC
This will require a bit of work upstream to propagate all tools overrides.
Comment 4 Larry the Git Cow gentoo-dev 2020-05-23 11:39:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12e796831bdef05d6f3e87088a379c1f612a5725

commit 12e796831bdef05d6f3e87088a379c1f612a5725
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-05-23 11:39:14 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-05-23 11:39:28 +0000

    dev-util/radare2: pass CC,AR,LD,OBJCOPY,RANLIB, bug #720700
    
    Reported-by: Agostino Sarubbo
    Closes: https://bugs.gentoo.org/720700
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 dev-util/radare2/files/radare2-4.4.0-AR.patch     | 25 +++++++++
 dev-util/radare2/files/radare2-4.4.0-RANLIB.patch | 24 +++++++++
 dev-util/radare2/radare2-4.4.0-r1.ebuild          | 65 +++++++++++++++++++++++
 3 files changed, 114 insertions(+)
Comment 5 Sergei Trofimovich gentoo-dev 2020-05-23 11:54:30 UTC
Proposed change upstream as https://github.com/radareorg/radare2/pull/16941